<?php
/*
 *  package: Joomla Opening Hours module - FREE Version
 *  copyright: Copyright (c) 2023. Jeroen Moolenschot | Joomill
 *  license: GNU General Public License version 3 or later
 *  link: https://www.joomill-extensions.com
 */

// No direct access.
defined('_JEXEC') or die;

// use Joomla\CMS\Factory;
// use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Language\Text;

// $document = Factory::getDocument();
// $baseURL = Uri::root(true);

// Adding the helper to use all the extra functionality
require_once __DIR__ . '/../lib/mod_scorpion_openinghours_helper.php';
$helper = new ScorpionOpeninghoursHelper($params,$module->id);

// Now we will generate specific styling according to the parameters
$extraStyle = '';
$htmlCode = '';

// Ones wev've set all the additional styling, add it to the document
$helper->addBasicCSS();
$helper->addExtraCSS($extraStyle);
$helper->addBasicHTML('start', 'inspiration');

// For development purposes only (TODO: Remove in production version)
$htmlCode .= '<p>Selected timezone: '.$params->get('Timezone').'</p>'."\r\n";
$htmlCode .= '<p>User or Selected timezone: '.$helper->getUsersTimezone($SelectedTimezone).'</p>'."\r\n";
$htmlCode .= '<p>Template: '.substr( $params->get('layout', 'default'), 2).'</p><hr/>'."\r\n";

// Add the rest of the code here
$htmlCode .= $helper->getAdditionalTextHTML('before');

$htmlCode .= '<div class="scs-openinghours-list">';
$htmlCode .= '<div class="each-day '.$helper->getCurrentDayClass(1).'">';
$htmlCode .= '<div class="day-text">'.Text::_('MONDAY').'</div><div class="day-time">'.$helper->getCurrentDayOpeningtimes(1).'</div>'."\r\n";
$htmlCode .= '</div>';
$htmlCode .= '<div class="each-day '.$helper->getCurrentDayClass(2).'">';
$htmlCode .= '<div class="day-text">'.Text::_('TUESDAY').'</div><div class="day-time">'.$helper->getCurrentDayOpeningtimes(2).'</div>'."\r\n";
$htmlCode .= '</div>';
$htmlCode .= '<div class="each-day '.$helper->getCurrentDayClass(3).'">';
$htmlCode .= '<div class="day-text">'.Text::_('WEDNESDAY').'</div><div class="day-time">'.$helper->getCurrentDayOpeningtimes(3).'</div>'."\r\n";
$htmlCode .= '</div>';
$htmlCode .= '<div class="each-day '.$helper->getCurrentDayClass(4).'">';
$htmlCode .= '<div class="day-text">'.Text::_('THURSDAY').'</div><div class="day-time">'.$helper->getCurrentDayOpeningtimes(4).'</div>'."\r\n";
$htmlCode .= '</div>';
$htmlCode .= '<div class="each-day '.$helper->getCurrentDayClass(5).'">';
$htmlCode .= '<div class="day-text">'.Text::_('FRIDAY').'</div><div class="day-time">'.$helper->getCurrentDayOpeningtimes(5).'</div>'."\r\n";
$htmlCode .= '</div>';
$htmlCode .= '<div class="each-day '.$helper->getCurrentDayClass(6).'">';
$htmlCode .= '<div class="day-text">'.Text::_('SATURDAY').'</div><div class="day-time">'.$helper->getCurrentDayOpeningtimes(6).'</div>'."\r\n";
$htmlCode .= '</div>';
$htmlCode .= '<div class="each-day '.$helper->getCurrentDayClass(7).'">';
$htmlCode .= '<div class="day-text">'.Text::_('SUNDAY').'</div><div class="day-time">'.$helper->getCurrentDayOpeningtimes(7).'</div>'."\r\n";
$htmlCode .= '</div>';
$htmlCode .= '</div>';

$htmlCode .= $helper->getAdditionalTextHTML('after');

// Now we are going to display if we are opened or closed
$htmlCode .= '<hr/>';
$htmlCode .= '<div class="open-or-not text-center">';
$htmlCode .= $helper->getOpenClosedText();
$htmlCode .= '</div>'."\r\n";

echo $htmlCode;

$helper->addBasicHTML('end');
// End of the code
?>